메인 콘텐츠로 건너뛰기
GET
/
2
/
users
/
search
사용자 검색
curl --request GET \
  --url https://api.x.com/2/users/search \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2013-12-14T04:35:55Z",
      "id": "2244994945",
      "name": "X Dev",
      "protected": false,
      "username": "TwitterDev"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "geo": {
          "bbox": [
            -105.193475,
            39.60973,
            -105.053164,
            39.761974
          ],
          "properties": {},
          "geometry": {
            "coordinates": [
              -105.18816086351444,
              40.247749999999996
            ],
            "type": "Point"
          }
        },
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "next_token": "<string>",
    "previous_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

쿼리 매개변수

query
string
필수

사용자를 조회할 때 사용할 쿼리 문자열입니다. 사용자를 조회하기 위한 검색 문자열입니다.

Pattern: ^[A-Za-z0-9_' ]{1,50}$
max_results
integer<int32>
기본값:100

결과의 최대 개수입니다.

필수 범위: 1 <= x <= 1000
next_token
string

이 파라미터는 다음 "페이지"의 결과를 가져오는 데 사용됩니다. 이 파라미터에 사용하는 값은 API 응답에서 그대로 가져와야 하며, 수정하지 않아야 합니다. base36 페이지네이션 토큰입니다.

Minimum string length: 1
user.fields
enum<string>[]

요청할 User 필드를 쉼표로 구분한 목록입니다. User 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
예시:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
expansions
enum<string>[]

확장할 필드의 쉼표로 구분된 목록입니다. User 객체에서 확장할 수 있는 필드 목록입니다. 필드에 id가 있는 경우 전체 객체로 확장할 수 있습니다.

Minimum array length: 1
사용 가능한 옵션:
affiliation.user_id,
most_recent_tweet_id,
pinned_tweet_id
예시:
[
"affiliation.user_id",
"most_recent_tweet_id",
"pinned_tweet_id"
]
tweet.fields
enum<string>[]

표시할 Tweet 필드의 쉼표로 구분된 목록입니다. Tweet 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
예시:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

응답

요청이 성공했습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

includes
object
meta
object